Subject: Re: bug#15946: 24.3; Mac OS X, Mavericks, distnoted process

From: Jan Djärv <[email-masked]>
Date: Tue, 14 Jan 2014 18:46:02 +0100

Hello.

14 jan 2014 kl. 18:15 skrev canoeberry <[email-masked]>:

> I have been observing this since Mavericks was released. I did not make a
> connection between distnoted and emacs, other than the following
> observation: both are leaking memory.
> 
> For the first time ever I am finding that my emacs process slowly grows in
> size. I can be editing a small handful of files and be using 500Mb of real
> memory. Never seen that before, ever.
> 
> Distnoted grows much faster, on the order of 1Gb real memory / day. Killing
> that process and having another start up automatically causes some OS X
> features to stop working, e.g., it is not possible to enter Time Machine or
> even see the status of your Time Machine backups anymore.
> 
> I have seen distnoted peg the CPU when Time Machine backups are running or
> recently completed. Meanwhile, the menubar no longer animates the
> in-progress backup, which I assume is not on purpose and possibly even
> related to the issue.
> 

I think that is so OSX can save a bit of power.

> I do not use shells in emacs nowadays.
> 
> I am running emacs from emacsformacosx.
> 
> I have filed bugs with Apple.
> 
> If anybody has any suggestions on how to figure out what is causing Emacs to
> grow in size, I will happily run some experiments for you. I tried to figure
> out how to profile emacs memory but it was not very obvious to me what to
> do.

The obvious thing is to run leaks on Emacs (man leaks) after a garbage collection has been made (M-x garbage-collect).  Leaks may report leaks which in fact are not due to uncollected garbage.

	Jan D.